<template lang="pug">
  b-tag.state-tag(type="is-success") {{stateString}}
</template>
<script>
import { macro } from '~/utils/api'

export default {
  props: {
    value: {
      type: [String, Object],
      default: ''
    },
    showExternal: {
      type: Boolean,
      default: false
    }
  },
  data () {
    return {
      defaultState: ''
    }
  },
  computed: {
    stateString () {
      if (typeof this.value === 'string') {
        return this.value || this.defaultState
      } else if (this.showExternal) {
        return `${this.value.internalState} / ${this.value.externalState}`
      } else {
        return this.value.internalState
      }
    }
  },
  async created () {
    this.defaultState = await macro.normalizeState('')
  }
}
</script>
<style lang="scss" scoped>
.tag.state-tag {
  white-space: normal;
  text-align: center;
  height: auto;
}
</style>
